Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kr.ac.kaist.swrc.jhannanum.plugin.SupplementPlugin.MorphemeProcessor.SimpleMAResult09
Class SimpleMAResult09

    java.lang.Object
      kr.ac.kaist.swrc.jhannanum.plugin.SupplementPlugin.MorphemeProcessor.SimpleMAResult09.SimpleMAResult09

All Implemented Interfaces:
  Plugin, MorphemeProcessor

    public class SimpleMAResult09

extends java.lang.Object
implements MorphemeProcessor

This plug-in changes the detailed morphological analysis results to be simple. The KAIST tag set has 69 morpheme tags but this plug-in uses only 9 tags:
N(체언), P(용언), M(수식언), I(독립언), J(관계언), E(어미), X(접사), S(기호), F(외국어)
Note: This plug-in is not compatible with HmmPosTagger.
It is a morpheme processor plug-in which is a supplement plug-in of phase 2 in HanNanum work flow.

Author:
  Sangwon Park (hudoni@world.kaist.ac.kr), CILab, SWRC, KAIST

Field Summary
`private java.util.HashMap<java.lang.String,Eojeol>` | `dupFilterMap` hash map to remove duplicates
`private java.util.ArrayList<java.lang.String>` | `morphemeList` temporary list for morpheme tags
`private int` | `TAG_LEVEL` the level of analysis
`private java.util.ArrayList<java.lang.String>` | `tagList` temporary list for new tags

Constructor Summary
`SimpleMAResult09()` Constructor.

Method Summary
`SetOfSentences` | `doProcess(SetOfSentences sos)` It changes the morphological analysis result with 69 KAIST tags to the simplified result with 9 tags.
`void` | `initialize(java.lang.String baseDir, java.lang.String configFile)` This method is called before the work flow starts in order to initialize the plug-in.
`void` | `shutdown()` This method is called before the work flow is closed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_LEVEL

    private final int TAG_LEVEL

  the level of analysis

  See Also:
    Constant Field Values

### dupFilterMap

    private java.util.HashMap<java.lang.String,Eojeol> dupFilterMap

  hash map to remove duplicates

### tagList

    private java.util.ArrayList<java.lang.String> tagList

  temporary list for new tags

### morphemeList

    private java.util.ArrayList<java.lang.String> morphemeList

  temporary list for morpheme tags

Constructor Detail

### SimpleMAResult09

    public SimpleMAResult09()

  Constructor.

Method Detail

### doProcess

    public SetOfSentences doProcess(SetOfSentences sos)

  It changes the morphological analysis result with 69 KAIST tags to the simplified result with 9 tags.

  Specified by:
    `doProcess` in interface `MorphemeProcessor`
  Parameters:
    `sos` - - the result of morphological analysis where each eojeol has more than analysis result
  Returns:
    the simplified morphological analysis result

### initialize

    public void initialize(java.lang.String baseDir,
                           java.lang.String configFile)
                    throws java.lang.Exception

  Description copied from interface: `Plugin`
  This method is called before the work flow starts in order to initialize the plug-in. A configuration file can be passed to the plug-in, which makes the plug-in more flexible.

  Specified by:
    `initialize` in interface `Plugin`
  Parameters:
    `baseDir` - - the base directory of HanNanum files
    `configFile` - - the path for the configuration file
  Throws:
    `java.lang.Exception` - x

### shutdown

    public void shutdown()

  Description copied from interface: `Plugin`
  This method is called before the work flow is closed.

  Specified by:
    `shutdown` in interface `Plugin`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD